[Index] |  | [TOC]

# FreeType-2.4.4 API Reference

# Mac Specific Interface

## Synopsis

| FT_New_Face_From_FOND |  | FT_GetFilePath_From_Mac_ATS_Name
| FT_GetFile_From_Mac_Name |  | FT_New_Face_From_FSSpec
| FT_GetFile_From_Mac_ATS_Name |  | FT_New_Face_From_FSRef

The following definitions are only available if FreeType is compiled on a Macintosh.

#### FT_New_Face_From_FOND

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_New_Face_From_FOND( FT_Library  library,
                             Handle      fond,
                             FT_Long     face_index,
                             FT_Face    *aface )
                           FT_DEPRECATED_ATTRIBUTE;

Create a new face object from a FOND resource.

inout

library | A handle to the library resource.

input

fond | A FOND resource.
face_index | Only supported for the -1 ‘sanity check’ special case.

output

aface | A handle to a new face object.

return
FreeType error code. 0 means success.

notes

This function can be used to create FT_Face objects from fonts that are installed in the system as follows.

      fond = GetResource( 'FOND', fontName );
      error = FT_New_Face_From_FOND( library, fond, 0, &face );

[Index] |  | [TOC]

#### FT_GetFile_From_Mac_Name

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_GetFile_From_Mac_Name( const char*  fontName,
                                FSSpec*      pathSpec,
                                FT_Long*     face_index )
                              FT_DEPRECATED_ATTRIBUTE;

Return an FSSpec for the disk file containing the named font.

input

fontName | Mac OS name of the font (e.g., Times New Roman Bold).

output

pathSpec | FSSpec to the file. For passing to FT_New_Face_From_FSSpec.
face_index | Index of the face. For passing to FT_New_Face_From_FSSpec.

return
FreeType error code. 0 means success.

[Index] |  | [TOC]

#### FT_GetFile_From_Mac_ATS_Name

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_GetFile_From_Mac_ATS_Name( const char*  fontName,
                                    FSSpec*      pathSpec,
                                    FT_Long*     face_index )
                                  FT_DEPRECATED_ATTRIBUTE;

Return an FSSpec for the disk file containing the named font.

input

fontName | Mac OS name of the font in ATS framework.

output

pathSpec | FSSpec to the file. For passing to FT_New_Face_From_FSSpec.
face_index | Index of the face. For passing to FT_New_Face_From_FSSpec.

return
FreeType error code. 0 means success.

[Index] |  | [TOC]

#### FT_GetFilePath_From_Mac_ATS_Name

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_GetFilePath_From_Mac_ATS_Name( const char*  fontName,
                                        UInt8*       path,
                                        UInt32       maxPathSize,
                                        FT_Long*     face_index )
                                      FT_DEPRECATED_ATTRIBUTE;

Return a pathname of the disk file and face index for given font name which is handled by ATS framework.

input

fontName | Mac OS name of the font in ATS framework.

output

path | Buffer to store pathname of the file. For passing to FT_New_Face. The client must allocate this buffer before calling this function.
maxPathSize | Lengths of the buffer ‘path’ that client allocated.
face_index | Index of the face. For passing to FT_New_Face.

return
FreeType error code. 0 means success.

[Index] |  | [TOC]

#### FT_New_Face_From_FSSpec

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_New_Face_From_FSSpec( FT_Library     library,
                               const FSSpec  *spec,
                               FT_Long        face_index,
                               FT_Face       *aface )
                             FT_DEPRECATED_ATTRIBUTE;

Create a new face object from a given resource and typeface index using an FSSpec to the font file.

inout

library | A handle to the library resource.

input

spec | FSSpec to the font file.
face_index | The index of the face within the resource. The first face has index 0.

output

aface | A handle to a new face object.

return
FreeType error code. 0 means success.

note
FT_New_Face_From_FSSpec is identical to FT_New_Face except it accepts an FSSpec instead of a path.

[Index] |  | [TOC]

#### FT_New_Face_From_FSRef

Defined in FT_MAC_H (freetype/ftmac.h).

      FT_EXPORT( FT_Error )
      FT_New_Face_From_FSRef( FT_Library    library,
                              const FSRef  *ref,
                              FT_Long       face_index,
                              FT_Face      *aface )
                            FT_DEPRECATED_ATTRIBUTE;

Create a new face object from a given resource and typeface index using an FSRef to the font file.

inout

library | A handle to the library resource.

input

spec | FSRef to the font file.
face_index | The index of the face within the resource. The first face has index 0.

output

aface | A handle to a new face object.

return
FreeType error code. 0 means success.

note
FT_New_Face_From_FSRef is identical to FT_New_Face except it accepts an FSRef instead of a path.

[Index] |  | [TOC]